#global bootstrap 1

Summary: KDE Frameworks 5 Tier 3 integration module for Qt Designer
Name:    kf5-kdesignerplugin
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 2%{?dist}
License: LGPLv2+
URL:     https://invent.kde.org/frameworks/kdesignerplugin
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/portingAids/kdesignerplugin-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-kconfig-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qttools-devel, qt5-qttools-static

%if ! 0%{?bootstrap:1}
BuildRequires:  kf5-kcompletion-devel >= %{majmin}, kf5-kconfigwidgets-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}
BuildRequires:  kf5-kiconthemes-devel >= %{majmin}, kf5-ktextwidgets-devel >= %{majmin}, kf5-kitemviews-devel >= %{majmin}
BuildRequires:  kf5-kio-devel >= %{majmin}, kf5-kplotting-devel >= %{majmin}, kf5-kxmlgui-devel >= %{majmin}, kf5-sonnet-devel >= %{majmin}
%endif

Provides:  kf5-kdesignerplugin-devel = %{version}-%{release}



%description
This framework provides plugins for Qt Designer that allow it to display
the widgets provided by various KDE frameworks, as well as a utility
(kgendesignerplugin) that can be used to generate other such plugins
from ini-style description files.



%prep
%autosetup -n kdesignerplugin-%{version}



%build
%cmake_kf5
%cmake_build



%install
%cmake_install

%find_lang_kf5 kdesignerplugin5_qt
%find_lang %{name}-man --all-name --with-man --without-mo

cat kdesignerplugin5_qt.lang %{name}-man.lang > %{name}.lang



%files -f %{name}.lang
%license COPYING.LIB
%doc README.md
%{_kf5_bindir}/kgendesignerplugin
%{_kf5_mandir}/man1/kgendesignerplugin.1*
%{_kf5_libdir}/cmake/KF5DesignerPlugin/



%changelog
* Wed Jan 24 2024 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-2
- non-bootstrap building

* Thu Nov 23 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial